#!/bin/bash
# add rootcert to ~/.kpi/nssdb/cert9.db

#project_name="InstallCert"
install_cng_path="/opt/NetSignCNG"

#cert file name
cert_name="serverroot.pem"
#cert nice name
nice_name="cert/""-""serverroot.pem"

DIRS=`ls /home/ `

cd ${install_cng_path}/certs/rsa/

#添加火狐根证
for temp in ${DIRS}
do
        if [ ! -d "/home/${temp}" ];then
                continue
        fi

        #if [ ! -d "/home/${temp}/.mozilla" ];then
	#	continue
        #fi

	fullpath=`find /home/${temp}/ -name cert*.db | grep -i firefox | head -1`
	
	if [ -z "${fullpath}" ]; then
		continue
	fi

	subpath=${fullpath%/*}

        ${install_cng_path}/InstallRootCert/certutil --empty-password -d sql:${subpath} -A -t "CT,C,c" -n ${nice_name} -i ${cert_name}
        if [ $? -eq 0 ];then
                echo "add firefox successful for ${temp}!"
        else
                echo "add firefox fail for ${temp}"
        fi

        ${install_cng_path}/InstallRootCert/certutil --empty-password -d ${subpath} -A -t "CT,C,c" -n ${nice_name} -i ${cert_name}


done

